# TdApi.GetPassportAuthorizationForm (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: GetPassportAuthorizationForm

Package it.tdlight.jni

# Class TdApi.GetPassportAuthorizationForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.GetPassportAuthorizationForm

Enclosing class:
  TdApi

    public static class TdApi.GetPassportAuthorizationForm
    extends TdApi.Function

Returns a Telegram Passport authorization form for sharing data with a service.

Returns `PassportAuthorizationForm`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `botUserId` | User identifier of the service's bot.
`static int` | `CONSTRUCTOR` |
`String` | `nonce` | Unique request identifier provided by the service.
`String` | `publicKey` | Service's public key.
`String` | `scope` | Telegram Passport element types requested by the service.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`GetPassportAuthorizationForm()` | Returns a Telegram Passport authorization form for sharing data with a service.
`GetPassportAuthorizationForm​(long botUserId, String scope, String publicKey, String nonce)` | Returns a Telegram Passport authorization form for sharing data with a service.
`GetPassportAuthorizationForm​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
User identifier of the service's bot.

### scope

public String scope
Telegram Passport element types requested by the service.

### publicKey

public String publicKey
Service's public key.

### nonce

public String nonce
Unique request identifier provided by the service.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### GetPassportAuthorizationForm

public GetPassportAuthorizationForm()
Returns a Telegram Passport authorization form for sharing data with a service.

Returns `PassportAuthorizationForm`

### GetPassportAuthorizationForm

public GetPassportAuthorizationForm​(long botUserId, String scope, String publicKey, String nonce)
Returns a Telegram Passport authorization form for sharing data with a service.

Returns `PassportAuthorizationForm`

Parameters:
  `botUserId` - long User identifier of the service's bot.
  `scope` - String Telegram Passport element types requested by the service.
  `publicKey` - String Service's public key.
  `nonce` - String Unique request identifier provided by the service.

### GetPassportAuthorizationForm

public GetPassportAuthorizationForm​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`